<?php
		if ($textmessage == 'گیف'  and $commanda == 'none'){
			file_put_contents ("data/admin/commanda.txt",'gif');
			sendAction ($from_id,'typing');
			Saeed ('sendMessage',[
				'chat_id'=>$from_id,
				'text'=>"بخش تنظیمات گیف ها",
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'افزودن گیف ➕'],['text'=>'حذف گیف ➖']],
						[['text'=>'حذف همه گیف ها 🔴']],
						[['text'=>'برگشت 🔙']]
					]
				])
			]);
		}
if ($commanda == 'gif'){
			if ($textmessage == 'افزودن گیف ➕'){
				file_put_contents ("data/admin/commanda.txt",'addgif');
				sendAction ($from_id,'typing');
				Saeed ('sendMessage',[
					'chat_id'=>$from_id,
					'parse_mode'=>'Markdown',
					'text'=>"گیف ها را ارسال کنید و سپس دکمه برگشت به تنظیمات گیف را بزنید.",
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>'برگشت به تنظیمات گیف']]
						]
					])
				]);
			}elseif($textmessage == 'حذف گیف ➖'){
				file_put_contents ("data/admin/commanda.txt",'remgif');
				sendAction ($from_id,'typing');
				Saeed ('sendMessage',[
					'chat_id'=>$from_id,
					'parse_mode'=>'Markdown',
					'text'=>"گیف هایی که می خواهید حذف شوند را ارسال کنید و سپس تنظیمات گیف را بزنید.",
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>'برگشت به تنظیمات گیف']]
						]
					])
				]);	
			}elseif($textmessage == 'حذف همه گیف ها 🔴'){
				file_put_contents ("data/admin/commanda.txt",'remgifall');
				sendAction ($from_id,'typing');
				Saeed ('sendMessage',[
					'chat_id'=>$from_id,
					'parse_mode'=>'Markdown',
					'text'=>"آیا مطمئن هستید تمام گیف های ذخیره شده پاک شود؟",
					'reply_markup'=>json_encode([
						'inline_keyboard'=>[
							[['text'=>'آره 👍🏻','callback_data'=>'remgifall'],['text'=>'نه 👎🏻','callback_data'=>'nremgifall']]
						]
					])
				]);	
			}
		}
        if ($textmessage == "برگشت به تنظیمات گیف"){
			file_put_contents ("data/admin/commanda.txt",'gif');
			sendAction ($from_id,'typing');
			Saeed ('sendMessage',[
				'chat_id'=>$from_id,
				'text'=>"بخش تنظیمات گیف ها",
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'افزودن گیف ➕'],['text'=>'حذف گیف ➖']],
						[['text'=>'حذف همه گیف ها 🔴']],
						[['text'=>'برگشت 🔙']]
					]
				])
			]);
		}
        if ($commanda == 'addgif'){
			if ($gif_ty == 'video/mp4'){
				mkdir ("data/admin/media");
				$gif = file_get_contents('data/admin/media/gif.txt');
				$gifs = explode(",",$gif);
				if (!in_array($gif_id,$gifs)){
					$add_gif = file_get_contents('data/admin/media/gif.txt');
					$add_gif .= $gif_id.",";
					file_put_contents('data/admin/media/gif.txt',$add_gif);
				}
				sendAction($chat_id,'typing');
				Saeed('sendMessage',[
					'chat_id'=>$chat_id,
					'text'=>"با موفقیت افزوده شد گیف بعدی را ارسال کنید تا افزوده شود یا دکمه برگشت به تنظیمات گیف را بزنید.",
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>"برگشت به تنظیمات گیف"]]
						]
					])
				]);
			}
		}elseif ($commanda == 'remgif'){
			if ($gif_ty == 'video/mp4'){
				$gif = file_get_contents('data/admin/media/gif.txt');
				$gifs = explode(",",$gif);
				if (in_array($gif_id,$gifs)){
					$add_gif = file_get_contents('data/admin/media/gif.txt');
					$add_gif = str_replace($gif_id.",","",$add_gif);
					file_put_contents('data/admin/media/gif.txt',$add_gif);
				}
				sendAction ($chat_id,'typing');
				Saeed('sendMessage',[
					'chat_id'=>$chat_id,
					'text'=>'با موفقیت حذف شد گیف بعدی را ارسال کنید تا حذف شود یا دکمه برگشت به تنظیمات گیف را بزنید.',
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>"برگشت به تنظیمات گیف"]]
						]
					])
				]);
			}
		}
if ($data == "remgifall"){
			file_put_contents("data/admin/media/gif.txt","");
			sendAction ($chat_id2,'typing');
			Saeed('sendMessage',[
				'chat_id'=>$chat_id2,
				'text'=>'همه گیف ها حذف شدند.',
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>"برگشت به تنظیمات گیف"]]
					]
				])
			]);
		}
		
        if ($data == "nremgifall"){
			sendAction ($chat_id2,'typing');
			Saeed('sendMessage',[
				'chat_id'=>$chat_id2,
				'text'=>'چیزی پاک نشد.',
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'برگشت 🔙']]
					]
				])
			]);
		}
?>